## ros-rolling-gpsd-client 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(gpsd_client)

set(CMAKE_CXX_STANDARD 14)

find_package(ament_cmake REQUIRED)

find_package(gps_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules (libgps REQUIRED libgps)

add_library(${PROJECT_NAME} SHARED
  src/client.cpp
)
target_include_directories(${PROJECT_NAME}
  PUBLIC
  ${libgps_INCLUDE_DIRS}
)
target_compile_definitions(${PROJECT_NAME}
  PRIVATE "COMPOSITION_BUILDING_DLL"
)
rclcpp_components_register_nodes(${PROJECT_NAME} "gpsd_client::GPSDClientComponent")
target_link_libraries(${PROJECT_NAME}
  ${libgps_LIBRARIES}
)
ament_target_dependencies(${PROJECT_NAME}
  "gps_msgs"
  "rclcpp"
  "rclcpp_components"
  "sensor_msgs"
)

#############
## Install ##
#############

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_dependencies(ament_cmake)
ament_export_dependencies(rclcpp)
ament_export_libraries(${PROJECT_NAME})

ament_package()

=== debian/changelog ===
ros-rolling-gpsd-client (1.0.4-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Fri, 14 Aug 2020 00:00:00 -0000

ros-rolling-gpsd-client (1.0.3-1focal) focal; urgency=high

  * Foxy support (#29 <https://github.com/swri-robotics/gps_umd/issues/29>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Wed, 10 Jun 2020 00:00:00 -0000

ros-rolling-gpsd-client (1.0.2-1focal) focal; urgency=high

  * Fix for gpsd-3.19 compatibility (#26 <https://github.com/swri-robotics/gps_umd/issues/26>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 05 Mar 2020 00:00:00 -0000

ros-rolling-gpsd-client (1.0.1-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 05 Mar 2020 00:00:00 -0000

ros-rolling-gpsd-client (1.0.0-1focal) focal; urgency=high

  * Support ROS2 (#24 <https://github.com/pjreed/gps_umd/issues/24>)
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Fri, 04 Oct 2019 00:00:00 -0000

ros-rolling-gpsd-client (0.3.0-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Thu, 03 Oct 2019 00:00:00 -0000

ros-rolling-gpsd-client (0.2.0-1focal) focal; urgency=high

  * Add include for <cmath> in gpsd_client
  * Add parameter to set frame_id.
  * Contributors: Kris Kozak, P. J. Reed

 -- P. J. Reed <preed@swri.org>  Thu, 16 Nov 2017 00:00:00 -0000

ros-rolling-gpsd-client (0.1.9-1focal) focal; urgency=high



 -- P. J. Reed <preed@swri.org>  Mon, 08 May 2017 00:00:00 -0000

ros-rolling-gpsd-client (0.1.8-1focal) focal; urgency=high

  * Use pre-processor defines to handle different libgps API versions
    Fixes #1 <https://github.com/swri-robotics/gps_umd/issues/1>
  * Contributors: P. J. Reed

 -- P. J. Reed <preed@swri.org>  Mon, 31 Oct 2016 00:00:00 -0000

ros-rolling-gpsd-client (0.1.7-1focal) focal; urgency=high

  * Fix a segfault when there is no GPS fix: time will be NaN which causes the ROS timestamp message to throw a Boost rounding exception.
  * Contributors: Stuart Alldritt

 -- P. J. Reed <preed@swri.org>  Thu, 08 May 2014 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-gpsd-client
Section: misc
Priority: optional
Maintainer: P. J. Reed <preed@swri.org>
Build-Depends: debhelper (>= 9.0.0), libgps-dev, pkg-config, ros-rolling-ament-cmake, ros-rolling-gps-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/gpsd_client
Standards-Version: 3.9.2

Package: ros-rolling-gpsd-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgps-dev, pkg-config, ros-rolling-gps-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: connects to a GPSd server and broadcasts GPS fixes using the NavSatFix message

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-gpsd-client//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
